Package com.io7m.cardant.server.api

# Record Class CAServerConfiguration

java.lang.Object
java.lang.Record
com.io7m.cardant.server.api.CAServerConfiguration

Record Components:
  `locale` - The locale
  `clock` - The clock
  `strings` - The string resources
  `databases` - The factory of databases that will be used for the server
  `databaseConfiguration` - The database configuration for the server
  `inventoryApiConfiguration` - The inventory API address
  `idstoreConfiguration` - The idstore configuration
  `limitsConfiguration` - The limits configuration
  `maintenanceConfiguration` - The maintenance configuration
  `openTelemetry` - The OpenTelemetry configuration

public record CAServerConfiguration(Locale locale, Clock clock, CAStrings strings, CADatabaseFactoryType databases, CADatabaseConfiguration databaseConfiguration, CAServerHTTPServiceConfiguration inventoryApiConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry) extends Record
The configuration for a server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAServerConfiguration(Locale locale, Clock clock, CAStrings strings, CADatabaseFactoryType databases, CADatabaseConfiguration databaseConfiguration, CAServerHTTPServiceConfiguration inventoryApiConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry)`
  The configuration for a server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Clock`
  `clock()`
  Returns the value of the `clock` record component.
  `CADatabaseConfiguration`
  `databaseConfiguration()`
  Returns the value of the `databaseConfiguration` record component.
  `CADatabaseFactoryType`
  `databases()`
  Returns the value of the `databases` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAServerIdstoreConfiguration`
  `idstoreConfiguration()`
  Returns the value of the `idstoreConfiguration` record component.
  `CAServerHTTPServiceConfiguration`
  `inventoryApiConfiguration()`
  Returns the value of the `inventoryApiConfiguration` record component.
  `CAServerLimitsConfiguration`
  `limitsConfiguration()`
  Returns the value of the `limitsConfiguration` record component.
  `Locale`
  `locale()`
  Returns the value of the `locale` record component.
  `CAServerMaintenanceConfiguration`
  `maintenanceConfiguration()`
  Returns the value of the `maintenanceConfiguration` record component.
  `Optional<CAServerOpenTelemetryConfiguration>`
  `openTelemetry()`
  Returns the value of the `openTelemetry` record component.
  `CAStrings`
  `strings()`
  Returns the value of the `strings` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAServerConfiguration

    public CAServerConfiguration(Locale locale, Clock clock, CAStrings strings, CADatabaseFactoryType databases, CADatabaseConfiguration databaseConfiguration, CAServerHTTPServiceConfiguration inventoryApiConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry)
    The configuration for a server.
    Parameters:
      `locale` - The locale
      `clock` - The clock
      `strings` - The string resources
      `databases` - The factory of databases that will be used for the server
      `databaseConfiguration` - The database configuration for the server
      `inventoryApiConfiguration` - The inventory API address
      `idstoreConfiguration` - The idstore configuration
      `limitsConfiguration` - The limits configuration
      `maintenanceConfiguration` - The maintenance configuration
      `openTelemetry` - The OpenTelemetry configuration

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### locale

    public Locale locale()
    Returns the value of the `locale` record component.
    Returns:
      the value of the `locale` record component

  - ### clock

    public Clock clock()
    Returns the value of the `clock` record component.
    Returns:
      the value of the `clock` record component

  - ### strings

    public CAStrings strings()
    Returns the value of the `strings` record component.
    Returns:
      the value of the `strings` record component

  - ### databases

    public CADatabaseFactoryType databases()
    Returns the value of the `databases` record component.
    Returns:
      the value of the `databases` record component

  - ### databaseConfiguration

    public CADatabaseConfiguration databaseConfiguration()
    Returns the value of the `databaseConfiguration` record component.
    Returns:
      the value of the `databaseConfiguration` record component

  - ### inventoryApiConfiguration

    public CAServerHTTPServiceConfiguration inventoryApiConfiguration()
    Returns the value of the `inventoryApiConfiguration` record component.
    Returns:
      the value of the `inventoryApiConfiguration` record component

  - ### idstoreConfiguration

    public CAServerIdstoreConfiguration idstoreConfiguration()
    Returns the value of the `idstoreConfiguration` record component.
    Returns:
      the value of the `idstoreConfiguration` record component

  - ### limitsConfiguration

    public CAServerLimitsConfiguration limitsConfiguration()
    Returns the value of the `limitsConfiguration` record component.
    Returns:
      the value of the `limitsConfiguration` record component

  - ### maintenanceConfiguration

    public CAServerMaintenanceConfiguration maintenanceConfiguration()
    Returns the value of the `maintenanceConfiguration` record component.
    Returns:
      the value of the `maintenanceConfiguration` record component

  - ### openTelemetry

    public Optional<CAServerOpenTelemetryConfiguration> openTelemetry()
    Returns the value of the `openTelemetry` record component.
    Returns:
      the value of the `openTelemetry` record component